KJS::Completion Class Reference

`#include <completion.h>`

Inheritance diagram for KJS::Completion:

## Public Member Functions

| Completion (ComplType c=Normal, const Value &v=Value(), const Identifier &t=Identifier::null())
ComplType | complType () const
Value | value () const
Identifier | target () const
bool | isValueCompletion () const
Public Member Functions inherited from KJS::Value
| Value (ValueImp *v)
| Value (const Value &v)
Value & | operator= (const Value &v)
bool | isValid () const
bool | isNull () const
ValueImp * | imp () const
Type | type () const
bool | isA (Type t) const
Value | toPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const
bool | toBoolean (ExecState *exec) const
double | toNumber (ExecState *exec) const
int | toInteger (ExecState *exec) const
int | toInt32 (ExecState *exec) const
unsigned int | toUInt32 (ExecState *exec) const
unsigned short | toUInt16 (ExecState *exec) const
UString | toString (ExecState *exec) const
Object | toObject (ExecState *exec) const
bool | toUInt32 (unsigned &i) const

## Additional Inherited Members

Protected Attributes inherited from KJS::Value
ValueImp * | rep

## Detailed Description

Completion objects are used to convey the return status and value from functions.

See FunctionImp::execute()

See also
  FunctionImp

Handle for a Completion type.

Definition at line 49 of file completion.h.

The documentation for this class was generated from the following file:

- completion.h

KDE Home | KDE Accessibility Home | Description of Access Keys